
#ifndef PNGOUTPUT_H_INCLUDED
#define PNGOUTPUT_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

typedef struct pngoutput_s pngoutput_t;

pngoutput_t *pngoutput_new( const char *filename,
                            int width, int height,
                            double gamma );
void pngoutput_delete( pngoutput_t *pngoutput );
void pngoutput_scanline( pngoutput_t *pngoutput, unsigned char *scanline );

#ifdef __cplusplus
};
#endif
#endif /* PNGOUTPUT_H_INCLUDED */
